set: set geometries

## Functions

template<std::size_t Dimension, typename Geometry >
void | boost::geometry::set (Geometry &geometry, typename coordinate_type< Geometry >::type const &value)
| Set coordinate value of a geometry (usually a point)
template<std::size_t Index, std::size_t Dimension, typename Geometry >
void | boost::geometry::set (Geometry &geometry, typename coordinate_type< Geometry >::type const &value)
| set coordinate value of a Box / Segment
template<std::size_t Dimension, typename Geometry >
void | boost::geometry::set_from_radian (Geometry &geometry, typename fp_coordinate_type< Geometry >::type const &radians)
| set coordinate value (in radian) to a point

## Function Documentation

template<std::size_t Dimension, typename Geometry >

void boost::geometry::set | ( | Geometry & | geometry,
|  | typename coordinate_type< Geometry >::type const & | value
| ) |  |

Set coordinate value of a geometry (usually a point)

The free functions [*get] and [*set] are two of the most important functions of Boost.Geometry, both within the library, as also for the library user. With these two functions you normally get and set coordinate values from and for a point, box, segment or sphere.

Template Parameters:

  Dimension | Dimension, this template parameter is required. Should contain \[0 .. n-1\] for an n-dimensional geometry
  Geometry | Any type fulfilling a Geometry Concept (usually a Point Concept)

Parameters:

  geometry | geometry to assign coordinate to
  geometry | A model of the specified concept (usually a point)
  value | The coordinate value to set

template<std::size_t Index, std::size_t Dimension, typename Geometry >

void boost::geometry::set | ( | Geometry & | geometry,
|  | typename coordinate_type< Geometry >::type const & | value
| ) |  |

set coordinate value of a Box / Segment

The free functions [*get] and [*set] are two of the most important functions of Boost.Geometry, both within the library, as also for the library user. With these two functions you normally get and set coordinate values from and for a point, box, segment or sphere.

Template Parameters:

  Index | Index, this template parameter is required. For a Box: either min_corner or max_corner. For a Segment: either 0 or 1 for first or last point.
  Dimension | Dimension, this template parameter is required. Should contain \[0 .. n-1\] for an n-dimensional geometry
  Geometry | Any type fulfilling a Box Concept or a Segment Concept

Parameters:

  geometry | geometry to assign coordinate to
  geometry | A model of the specified concept
  value | The coordinate value to set

template<std::size_t Dimension, typename Geometry >

void boost::geometry::set_from_radian | ( | Geometry & | geometry,
|  | typename fp_coordinate_type< Geometry >::type const & | radians
| ) |  |

set coordinate value (in radian) to a point

Coordinate value will be set correctly, if coordinate system of point is in Degree, Radian value will be converted to Degree

Template Parameters:

  Dimension | dimension
  Geometry | geometry

Parameters:

  geometry | geometry to assign coordinate to
  radians | coordinate value to assign

Note:
  Only applicable to coordinate systems templatized by units, e.g. spherical or geographic coordinate systems

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK